#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 coinbase-pro
version:              0.9.3.0
visibility:           public
id:                   coinbase-pro-0.9.3.0-HMTLCATIpCvEQD2WDab0w2
key:                  coinbase-pro-0.9.3.0-HMTLCATIpCvEQD2WDab0w2
license:              MIT
copyright:            2021 Michael Dunn <michaelsdunn1@gmail.com>
maintainer:           Michael Dunn <michaelsdunn1@gmail.com>
author:               Michael Dunn <michaelsdunn1@gmail.com>
homepage:             https://github.com/mdunnio/coinbase-pro#readme
synopsis:             Client for Coinbase Pro
description:          Client for Coinbase Pro REST and Websocket APIs
category:             Web, Finance
abi:                  4a0ff33ff6fc754bbdd52865396ebdcf
exposed:              True
exposed-modules:
    CoinbasePro.Authenticated CoinbasePro.Authenticated.API
    CoinbasePro.Authenticated.Accounts
    CoinbasePro.Authenticated.CoinbaseAccounts
    CoinbasePro.Authenticated.Conversion
    CoinbasePro.Authenticated.Deposit CoinbasePro.Authenticated.Fills
    CoinbasePro.Authenticated.Headers CoinbasePro.Authenticated.Limits
    CoinbasePro.Authenticated.Oracle CoinbasePro.Authenticated.Orders
    CoinbasePro.Authenticated.Payment CoinbasePro.Authenticated.Profile
    CoinbasePro.Authenticated.Report CoinbasePro.Authenticated.Request
    CoinbasePro.Authenticated.Transfer
    CoinbasePro.Authenticated.Withdrawal CoinbasePro.Environment
    CoinbasePro.Headers CoinbasePro.MarketData.AggregateOrderBook
    CoinbasePro.MarketData.FullOrderBook CoinbasePro.MarketData.Types
    CoinbasePro.Request CoinbasePro.Types CoinbasePro.Unauthenticated
    CoinbasePro.Unauthenticated.API CoinbasePro.WebSocketFeed
    CoinbasePro.WebSocketFeed.Channel
    CoinbasePro.WebSocketFeed.Channel.Full.Activate
    CoinbasePro.WebSocketFeed.Channel.Full.Change
    CoinbasePro.WebSocketFeed.Channel.Full.Done
    CoinbasePro.WebSocketFeed.Channel.Full.Match
    CoinbasePro.WebSocketFeed.Channel.Full.Open
    CoinbasePro.WebSocketFeed.Channel.Full.Received
    CoinbasePro.WebSocketFeed.Channel.Heartbeat
    CoinbasePro.WebSocketFeed.Channel.Level2
    CoinbasePro.WebSocketFeed.Channel.Status
    CoinbasePro.WebSocketFeed.Channel.Ticker
    CoinbasePro.WebSocketFeed.Request
    CoinbasePro.WebSocketFeed.Response

hidden-modules:       Paths_coinbase_pro
import-dirs:          /usr/lib/ghc-9.0.2/site-local/coinbase-pro-0.9.3.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/coinbase-pro-0.9.3.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-coinbase-pro
hs-libraries:         HScoinbase-pro-0.9.3.0-HMTLCATIpCvEQD2WDab0w2
depends:
    HsOpenSSL-0.11.7.2-Jho6eeNXjxXC8H6OBjsY31
    aeson-2.1.1.0-6f0SUJ6dh2u49Oyg8vjVqb
    aeson-casing-0.2.0.0-CQdcOZ9S0hUCJgNGTeXVzP
    async-2.2.4-9byXxaHstkgJ8t3QD8BObS base-4.15.1.0 binary-0.8.8.0
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.30-Aits1YrYIJo6ZxdO6tapoS exceptions-0.10.4
    http-api-data-0.5-JxeC0ywCsT2UozkTLdhIQ
    http-client-0.7.13.1-2goREqepR1o2IUERzU3I3z
    http-client-tls-0.3.6.1-BZvC54Y0d136WBZk5IzdsM
    http-streams-0.8.9.6-B0pwivjUGHfkvGPGtak1O
    http-types-0.12.3-Gv30C4XbnFXDWjcAoX4JUI
    io-streams-1.5.2.2-5Oc4hqeJf8MJF8PEDA3lK1
    memory-0.17.0-3DbDQrj54CLAPAnWUJBJ4b
    network-3.1.2.7-4IwojLtUbDr1AdkjdwrxwW
    servant-0.19.1-19CkXv5XGFyFGwiAxiG9cp
    servant-client-0.19-37pJL2zjJZCE69XlSjQyOk
    servant-client-core-0.19-Ga4E44b1IDjJc5tYmJsI5Y
    tasty-1.4.2.3-6QsX7Add06EJF1tBU6rrYi
    tasty-hunit-0.10.0.3-Dar4AhaANYfGjZd33eP1sV text-1.2.5.0 time-1.9.3
    transformers-0.5.6.2 unagi-streams-0.2.7-6ghM876l0uDUAK58cPtoc
    unordered-containers-0.2.19.1-8VYAOBvAPnuAGZDvxcTgvW
    uuid-1.3.15-D8DRzRcZ4OEEzKouQjlzMp
    vector-0.13.0.0-C4IY0qsV06C5Tx1gtETdzw
    websockets-0.12.7.3-Iuoe7scJiH1SzduqGjDtI
    wuss-2.0.0.2-L0qt9RTGfo9AkqitXUXB9Y

haddock-interfaces:
    /usr/share/doc/haskell-coinbase-pro/html/coinbase-pro.haddock

haddock-html:         /usr/share/doc/haskell-coinbase-pro/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

